<?php
// Version: 1.1; index

/*	This template is, perhaps, the most important template in the theme.  It
	contains the main template layer that displays the header and footer of
	the forum, namely with main_above and main_below.  It also contains the
	menu sub template, which appropriately displays the menu; the init sub
	template, which is there to set the theme up; (init can be missing.) and
	the linktree sub template, which sorts out the link tree.

	The init sub template should load any data and set any hardcoded options.
	The main_above sub template is what is shown above the main content, and
	should contain anything that should be shown up there.

	The main_below sub template, conversely, is shown after the main content.
	It should probably contain the copyright statement and some other things.

	The linktree sub template should display the link tree, using the data
	in the $context['linktree'] variable.

	The menu sub template should display all the relevant buttons the user
	wants and or needs.

	For more information on the templating system, please see the site at:
	http://www.simplemachines.org/
	*/
	
/************************************************************************/
/* SMF/TP: XD-Reborn theme for SMF/TP 1.1.x-9.x.x							  */
/* ============================================								 */
/* http://tinyportalmedia.com														 */
/* Converted to Simple Machines 1.1.x and Tiny Portal 9.x.x				 */
/* ============================================								 */
/************************************************************************/
// Theme XD-Reborn - Free Release theme
// Original Author of file: Xtrato - http://xtrato.com
// Conversion by StormLrd and HumanPorkrind
// Purpose of file: Free Release SMF/TP 1.1.x/9.x.x XD-Reborn Theme
// Developed at http://www.xtrato.com
// ----------------------------------------------------------------------/

// Initialize the template... mainly little settings.
function template_init()
{
	global $context, $settings, $options, $txt;

	/* Use images from default theme when using templates from the default theme?
		if this is 'always', images from the default theme will be used.
		if this is 'defaults', images from the default theme will only be used with default templates.
		if this is 'never' or isn't set at all, images from the default theme will not be used. */
	$settings['use_default_images'] = 'never';

	/* What document type definition is being used? (for font size and other issues.)
		'xhtml' for an XHTML 1.0 document type definition.
		'html' for an HTML 4.01 document type definition. */
	$settings['doctype'] = 'xhtml';

	/* The version this template/theme is for.
		This should probably be the version of SMF it was created for. */
	$settings['theme_version'] = '1.1.3';

	/* Set a setting that tells the theme that it can render the tabs. */
	$settings['use_tabs'] = false;

	/* Use plain buttons - as oppossed to text buttons? */
	$settings['use_buttons'] = false;

	/* Show sticky and lock status seperate from topic icons? */
	$settings['seperate_sticky_lock'] = true;

	// load custom language strings
	loadLanguage('ThemeStrings');
	// make sure undefined actions use their own template
	$settings['catch_action'] = array('layers' => array('main','pages'));
	// split up the links if any
	$context['sitemenu']=array();
		
	if(empty($settings['custom_pages']))
		$settings['custom_pages']='homepage,News,page|about,Custom,page|http://www.tinyportalmedia.com,TPM,link';
	
	$pag=explode('|',$settings['custom_pages']);

	foreach($pag as $menu => $value)
	{
		$what=explode(',',$value);
		$context['sitemenu'][]=array($what[0],$what[1],$what[2]);
	}
}

function OpenTable()
{	
	global $bgcolor1, $bgcolor2, $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
<table width="100%" border="0" cellpadding="0" cellspacing="0" style="background-image: url(' . $settings['images_url'] . '/table/table_02.gif);background-repeat: repeat-x; background-position: top;">
	<tr>
		<td colspan="2" width="67"><img src="' . $settings['images_url']. '/table/table_01.gif" width="67" height="58" alt="" /></td>
		<td style="background-image: url(' . $settings['images_url'] . '/table/table_02.gif);background-repeat: repeat-x;" width="98%"></td>
		<td colspan="2" width="74" align="right"><img src="' . $settings['images_url'] . '/table/table_03.gif" width="74" height="58" alt="" /></td>
	</tr>
	<tr>
		<td style="background-image: url(' . $settings['images_url'] . '/table/table_04.gif);background-repeat: repeat-y; background-position: top;" width="28"></td>
		<td colspan="3" bgcolor="#5a6053" width="99%">';
}

function CloseTable()
{	

	global $bgcolor1, $bgcolor2, $context, $settings, $options, $scripturl, $txt, $modSettings;

	echo '
		</td>
		<td style="background-image: url(' . $settings['images_url'] . '/table/table_06.gif);background-repeat: repeat-y; background-position: top;" width="29"></td>
	</tr>
	<tr><td width="28"><img src="' . $settings['images_url'] . '/table/table_07.gif" width="28" height="42" alt="" /></td>
		
		<td width="39" align="left" style="background-image: url(' . $settings['images_url'] . '/table/table_09.gif);background-repeat: repeat-x;"><img src="' . $settings['images_url'] . '/table/table_08.gif" width="39" height="42" alt="" /></td>
		<td style="background-image: url(' . $settings['images_url'] . '/table/table_09.gif);background-repeat: repeat-x;" width="100.1%" height="42"></td>
		<td width="45" align="right" style="background-image: url(' . $settings['images_url'] . '/table/table_09.gif);background-repeat: repeat-x;"><img src="' . $settings['images_url'] . '/table/table_10.gif" width="45" height="42" alt="" /></td>
		
	<td width="29"><img src="' . $settings['images_url'] . '/table/table_11.gif" width="29" height="42" alt="" /></td></tr></table>';
}

// any special pages?
function template_pages_above()
{
	global $context, $settings, $options, $scripturl, $txt;
	
	OpenTable();
	echo '<div id="pages">';
	if(isset($_GET['action']))
		$what=$_GET['action'];
	loadtemplate('pages/'.$what);
}

function template_pages_below()
{
	echo '</div>';
	CloseTable();
}

// The main sub template above the content.
function template_main_above()
{

	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	include($settings['theme_dir'].'/definez.php');

	require_once('SSI.php');
	
	 if($context['page_title']=='' && isset($_GET['action']))
		$context['page_title']=$context['forum_name'].' - '.$_GET['action'];
	elseif($context['page_title']=='' && !isset($_GET['action']))
		$context['page_title']=$context['forum_name'];

	echo '
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="http://www.w3.org/1999/xhtml"', $context['right_to_left'] ? ' dir="rtl"' : '', '><head>
	<meta http-equiv="Content-Type" content="text/html; charset=', $context['character_set'], '" />
	<meta name="description" content="', $context['page_title'], '" />', empty($context['robot_no_index']) ? '' : '
	<meta name="robots" content="noindex" />', '
	<meta name="keywords" content="PHP, MySQL, bulletin, board, free, open, source, smf, simple, machines, forum" />
	<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/script.js?fin11"></script>
	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		var smf_theme_url = "', $settings['theme_url'], '";
		var smf_images_url = "', $settings['images_url'], '";
		var smf_scripturl = "', $scripturl, '";
		var smf_iso_case_folding = ', $context['server']['iso_case_folding'] ? 'true' : 'false', ';
		var smf_charset = "', $context['character_set'], '";
	// ]]></script>
	<title>', $context['page_title'], '</title>';

	// The ?fin11 part of this link is just here to make sure browsers don't cache it wrongly.
	echo '
	<link rel="stylesheet" type="text/css" href="', $settings['theme_url'], '/style.css?fin11" />
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/print.css?fin11" media="print" />';

	/* Internet Explorer 4/5 and Opera 6 just don't do font sizes properly. (they are big...)
		Thus, in Internet Explorer 4, 5, and Opera 6 this will show fonts one size smaller than usual.
		Note that this is affected by whether IE 6 is in standards compliance mode.. if not, it will also be big.
		Standards compliance mode happens when you use xhtml... */
	if ($context['browser']['needs_size_fix'])
		echo '
	<link rel="stylesheet" type="text/css" href="', $settings['default_theme_url'], '/fonts-compat.css" />';

	// Show all the relative links, such as help, search, contents, and the like.
	echo '
	<link rel="help" href="', $scripturl, '?action=help" target="_blank" />
	<link rel="search" href="' . $scripturl . '?action=search" />
	<link rel="contents" href="', $scripturl, '" />';

// If we're in a board, or a topic for that matter, the index will be the board's index.
if (!empty($context['current_board']))
echo '
	<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';

/// this decides whether we are on the portal page or inside the forum itself
$current_action = 'home';
if (in_array($context['current_action'], array('admin', 'ban', 'boardrecount', 'cleanperms', 'detailedversion', 'dumpdb', 'featuresettings', 'featuresettings2', 'findmember', 'maintain', 'manageattachments', 'manageboards', 'managecalendar', 'managesearch', 'membergroups', 'modlog', 'news', 'optimizetables', 'packageget', 'packages', 'permissions', 'pgdownload', 'postsettings', 'regcenter', 'repairboards', 'reports', 'serversettings', 'serversettings2', 'smileys', 'viewErrorLog', 'viewmembers')))
	$current_action = 'admin';
if ($context['current_action'] == 'globalAnnouncementsAdmin')
	$current_action = 'admin';	
if ($context['current_action'] == 'theme')
	$current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'pick' ? 'profile' : 'admin';

// Begin SMFShop code
if (in_array($context['current_action'], array('shop_general', 'shop_items_add', 'shop_items_edit', 'shop_cat', 'shop_inventory', 'shop_restock', 'shop_usergroup')))
	$current_action = 'admin';
// End SMFShop code

$wback='home';

$settings['smartword']= false;

if(isset($_GET['action'])){
	if($_GET['action']=='forum'){
		$wback='forum';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='admin' || $_GET['action']=='tpadmin' || $current_action == 'admin'){
		$wback='admin';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='help' ){
		$wback='help';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='calendar' ){
		$wback='calendar';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='search' ){
		$wback='search';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='mlist' ){
		$wback='members';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='who' ){
		$wback='who';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='profile' || $_GET['action']=='pm'){
		$wback=$_GET['action'];
		if($wback=='profile')
			$settings['smartword']= true;
		if($wback=='pm')
			$settings['smartword']= true;
	}
	elseif($_GET['action']=='recent' || $_GET['action']=='unread' || $_GET['action']=='unreadreplies'){
		$wback='recent';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='login' || $_GET['action']=='register' ){
		$wback=$_GET['action'];
		if($wback=='login')
			$settings['smartword']= true;
		if($wback=='register')
			$settings['smartword']= true;
	}
	elseif($_GET['action']=='tpmod' && isset($_GET['sa']) && $_GET['sa']=='shoutbox'){
		$wback='shoutbox';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='tpmod' && isset($_GET['blog']) || $_GET['blog']=='view' || $_GET['blog']=='manager'){
		$wback='blogs';
		$settings['smartword']= true;
	}
	elseif($_GET['action']=='tpmod' && isset($_GET['dl'])){
		$wback='downloads';
		$settings['smartword']= true;
	}
	else{
		$wback='home';
		$settings['smartword']= false;
	}
}
if(isset($_GET['board']) || isset($_GET['topic'])){
	$wback='forum';
	$settings['smartword']= true;
}
if(!isset($_GET['action']) && (isset($_GET['page']) || isset($_GET['cat']))){
	$wback='article';
	$settings['smartword']= true;
}
$settings['layout_action'] = $wback;
if (in_array($context['current_action'], array('Felblog','store','links','staff','gallery','arcade','shop','contact','bookmarks','paypal'))){
	$current_action = $context['current_action'];
	$settings['layout_action'] = $context['current_action'];
	$settings['smartword'] = true;
}

// If RSS feeds are enabled, advertise the presence of one.
if (!empty($modSettings['xmlnews_enable']))
	echo '
<link rel="alternate" type="application/rss+xml" title="', $context['forum_name'], ' - RSS" href="', $scripturl, '?type=rss;action=.xml" />';

// If we're viewing a topic, these should be the previous and next topics, respectively.
if (!empty($context['current_topic']))
	echo '
<link rel="prev" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=prev" />
<link rel="next" href="', $scripturl, '?topic=', $context['current_topic'], '.0;prev_next=next" />';

// Search within current topic?
if (!empty($context['current_topic']))
	echo '
<input type="hidden" name="topic" value="', $context['current_topic'], '" />';

// If we're on a certain board, limit it to this board ;).
elseif (!empty($context['current_board']))
	echo '
<link rel="index" href="' . $scripturl . '?board=' . $context['current_board'] . '.0" />';

	// We'll have to use the cookie to remember the header...
	if ($context['user']['is_guest'])
		$options['collapse_header'] = !empty($_COOKIE['upshrink']);

	// Output any remaining HTML headers. (from mods, maybe?)
	echo $context['html_headers'], '
		  <script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
					 var current_leftbar = ', empty($options['collapse_leftbar']) ? 'false' : 'true', ';

					 function shrinkHeaderLeftbar(mode)
					 {';

		  // Guests don't have theme options!!
		  if ($context['user']['is_guest'])
					 echo '
								document.cookie = "upshrink=" + (mode ? 1 : 0);';
		  else
					 echo '
								smf_setThemeOption("collapse_leftbar", mode ? 1 : 0, null, "', $context['session_id'], '");';
		  echo '
								document.getElementById("upshrinkLeftbar").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");

								document.getElementById("leftbarHeader").style.display = mode ? "none" : "";

								current_leftbar = mode;
					 }
			 // ]]></script>
		 <script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
					 var current_rightbar = ', empty($options['collapse_rightbar']) ? 'false' : 'true', ';

					 function shrinkHeaderRightbar(mode)
					 {';

		  // Guests don't have theme options!!
		  if ($context['user']['is_guest'])
					 echo '
								document.cookie = "upshrink=" + (mode ? 1 : 0);';
		  else
					 echo '
								smf_setThemeOption("collapse_rightbar", mode ? 1 : 0, null, "', $context['session_id'], '");';

		  echo '
								document.getElementById("upshrinkRightbar").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");

								document.getElementById("rightbarHeader").style.display = mode ? "none" : "";

								current_rightbar = mode;
					 }
		  // ]]></script>

	<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
		var current_header = ', empty($options['collapse_header']) ? 'false' : 'true', ';

		function shrinkHeader(mode)
		{';

	// Guests don't have theme options!!
	if ($context['user']['is_guest'])
		echo '
			document.cookie = "upshrink=" + (mode ? 1 : 0);';
	else
		echo '
			smf_setThemeOption("collapse_header", mode ? 1 : 0, null, "', $context['session_id'], '");';

	echo '
			document.getElementById("upshrink").src = smf_images_url + (mode ? "/upshrink2.gif" : "/upshrink.gif");

			document.getElementById("upshrinkHeader").style.display = mode ? "none" : "";
			document.getElementById("upshrinkHeader2").style.display = mode ? "none" : "";

			current_header = mode;
		}
	// ]]></script>';

	// the routine for the info center upshrink
	echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[
			var current_header_ic = ', empty($options['collapse_header_ic']) ? 'false' : 'true', ';

			function shrinkHeaderIC(mode)
			{';

	if ($context['user']['is_guest'])
		echo '
				document.cookie = "upshrinkIC=" + (mode ? 1 : 0);';
	else
		echo '
				smf_setThemeOption("collapse_header_ic", mode ? 1 : 0, null, "', $context['session_id'], '");';

	echo '
				document.getElementById("upshrink_ic").src = smf_images_url + (mode ? "/expand.gif" : "/collapse.gif");

				document.getElementById("upshrinkHeaderIC").style.display = mode ? "none" : "";

				current_header_ic = mode;
			}
		// ]]></script>

</head>
<body>';
	// check for some mods if they are indeed loaded :P
	checkmods();	  
	$clock = '<font color=white>'.$context['current_time'].'</font>';
	// TinyPortal integrated bars
	// Dont Remove this otherwise I will not Continue to make Public Themes!!! //
	/*<!----- Theme Design Copyright &copy; 2003-2007 Xtrato Designs  (http://www.xtrato.org- admin@xtrato.com) or http://tinyportalmedia.com/main/ - admin@tinyportalmedia.com----->\n
	<!----- XD-Reborn - Unique Themes. Currently using XD-Reborn, a Unique theme license, for more information regarding Xtrato Designs visit www.xtrato.org . ----->\n*/
	echo '
	
<table width="100%" cellpadding="0px" cellspacing="0px" border="0" align="center">
	<tr>
		<td width="100%" valign="top">';

	// Right Logo
	$rightlogo = '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="374" height="147" id="rlogo" align="middle" >
	<param name="movie"  value="' .  $settings['images_url']. '/Flash/r-logo.swf" >
	<param name="menu" value="false" >
	<param name="quality" value="best" ><param name="wmode" value="transparent" >
	<embed src="' .  $settings['images_url']. '/Flash/r-logo.swf" menu="false" quality="best" wmode="transparent"  width="374" height="147" name="r-logo" align="middle" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer"></embed>
	</object>';

	// Left Logo
	$leftlogo = '<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="320" height="189" id="llogo" align="middle" >
	<param name="movie"  value="' .  $settings['images_url']. '/Flash/l-logo.swf?clock='.$clock.'">
	<param name="menu" value="false"><param name="quality" value="best">
	<param name="wmode" value="transparent">
	<embed src="' .  $settings['images_url']. '/Flash/l-logo.swf?clock='.$clock.'" menu="false" quality="best" wmode="transparent"  width="320" height="189" name="llogo" align="middle" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer"></embed>
	</object>';

	// Main Header	
	echo '
				<table width="100%" style="height: 255;" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td valign="top"><img src="'. $settings['images_url']. '/HD/header_01.gif" width="44" height="255" alt="" /></td>
						<td  style="background-image: url('. $settings['images_url']. '/HD/header_02.gif); background-repeat: no-repeat; background-position: top;" width="320"  valign="top">
						
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td valign="top" height="189px">
						'.$leftlogo.'
						</td></tr><tr>
						<td style="background-image: url('. $settings['images_url']. '/HD/header_08.gif);" width="320" height="66" align="center" class="headerlogin">';

	//user
	echo '
							<div class="user">';
	// Tportal userbox
	// If the user is logged in, display stuff like their name, new messages, etc.
	if ($context['user']['is_logged']){
		echo '
								<span class="toptext">', $txt['hello_member'], ' ', $context['user']['name'], ' &nbsp;';

		// Only tell them about their messages if they can read their messages!
		if ($context['allow_pm'])
		{
			echo '&raquo; ', $txt[152], ' <a href="', $scripturl, '?action=pm">', $context['user']['messages'], ' ', $context['user']['messages'] != 1 ? $txt[153] : $txt[471], '</a>', $txt['newmessages4'], ' ', $context['user']['unread_messages'], ' ', $context['user']['unread_messages'] == 1 ? $txt['newmessages0'] : $txt['newmessages1'];
			if ($context['user']['unread_messages'])
				echo '&nbsp;<a href="', $scripturl, '?action=im"><img src="' . $settings['images_url'] . '/msg.gif" border="0" alt="New messages!"></a>';
		}

		// Is the forum in maintenance mode?
		if ($context['in_maintenance'] && $context['user']['is_admin'])
			echo '&nbsp;&raquo; <b>', $txt[616], '</b>';
		echo '
								</span>';
	}
	// Otherwise they're a guest - so politely ask them to register or login.
	else{
		echo '<span class="toptext">Welcome Guest!</span>';
	}
	echo '
							</div>';

	echo '				</td>
						
					</tr></table>				
						
						</td>
						<td style="background-image: url('. $settings['images_url']. '/HD/header_03.gif); background-repeat: repeat-x; background-position: top;" width="100%" height="255" valign="top"></td>
						<td colspan="2" valign="top" height="255" width="374px">
						
						<table width="374px" border="0" cellpadding="0" cellspacing="0">
					<tr>
						<td valign="top"><img src="'. $settings['images_url']. '/HD/header_04.gif" width="83" height="42" alt="" /></td>
						<td style="background-image: url('. $settings['images_url']. '/HD/header_05.gif); background-repeat: no-repeat; background-position: top;" width="291" height="42" class="announcements" valign="top">&nbsp;';
	
	//news
	if (!empty($settings['enable_news']))
		echo '
							<div style="width: 291px; overflow: hidden; position: absolute; top: 5px; right: 51px; white-space: norwrap;" class="newstitle"><marquee width="290px" behavior= "scroll" align= "left" direction="left" scrollamount="2" scrolldelay="60" onmouseover=\'this.stop()\' onmouseout=\'this.start()\'>', $context['random_news_line'], '</marquee></div>';

						echo '</td>
				  </tr>
					<tr>
						<td colspan="2" style="background-image: url('. $settings['images_url']. '/HD/header_07.gif); background-repeat: no-repeat; background-position: top;" width="374" height="147px" valign="top">
						<table width="374px" border="0" cellpadding="0" cellspacing="0"';
						//stubborn Safari needs a fix
						if($context['browser']['is_safari'] || $context['browser']['is_ie'] || $context['browser']['is_ie4'] || $context['browser']['is_mac_ie'])
						echo ' style="position: relative; top: -16px; z-index: 2; width: 374px; vertical-align: top;"';
								
						echo '>
					<tr>
						<td valign="top" width="374px">	
						'.$rightlogo.'
						</td>
					</tr><tr>
					<td style="background-image: url('. $settings['images_url']. '/HD/header_09.gif); background-position: top; background-repeat: no-repeat;';
							//stubborn Safari needs a fix
						if($context['browser']['is_safari'] || $context['browser']['is_ie'] || $context['browser']['is_ie4'] || $context['browser']['is_mac_ie'])
						echo 'padding-top: 16px;';
						else
						echo '';							
							
						echo '" width="374" height="66"  valign="top">';
	//login
	if ($context['user']['is_logged']){
		top_menu();
	}else{
		echo '<script language="JavaScript" type="text/javascript" src="', $settings['default_theme_url'], '/sha1.js"></script>
							<form action="', $scripturl, '?action=login2" method="post" class="smalltext" accept-charset="', $context['character_set'], '" style="margin: 0;padding-bottom: 6px;"', empty($context['disable_login_hashing']) ? ' onsubmit="hashLoginPassword(this, \'' . $context['session_id'] . '\');"' : '', '>
								<input type="text" name="user" size="10" /> <input type="password" name="passwrd" size="10" />
								<select name="cookielength">
									<option value="60">', $txt['smf53'], '</option>
									<option value="1440">', $txt['smf47'], '</option>
									<option value="10080">', $txt['smf48'], '</option>
									<option value="43200">', $txt['smf49'], '</option>
									<option value="-1" selected="selected">', $txt['smf50'], '</option>
								</select>
								<input type="submit" value="', $txt[34], '" />
								<input type="hidden" name="hash_passwrd" value="" />
							</form>';
	}
	echo '
						</td></tr></table>
						</td>
					</tr>
					</table>';


	echo '
						</td>
						<td valign="top"><img src="'. $settings['images_url']. '/HD/header_06.gif" width="53" height="255" alt="" /></td>
					</tr>
				</table>';
	echo '
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center"
				';
						//stubborn Safari needs a fix
						if($context['browser']['is_safari'])
						echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
						else if($context['browser']['is_ie'] || $context['browser']['is_mac_ie'])			
							echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
						
						echo '>
					<tr valign="top">
						<td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/l_side.gif);">
							<img src="' .  $settings['images_url']. '/l_side.gif" width="50" height="2" border="0">
						</td>
						<td width="100%"';
						if($context['browser']['is_ie'] || $context['browser']['is_mac_ie'])			
							echo ' style="padding-top: 10px;"';
						
						echo '>';	

	if(!empty($settings['use_tp']) && $context['TPortal']['leftbar'])
		echo '
							<a href="#" onclick="shrinkHeaderLeftbar(!current_leftbar); return false;"><img id="upshrinkLeftbar" src="', $settings['images_url'], '/', empty($options['collapse_leftbar']) ? 'upshrink.gif' : 'upshrink2.gif', '" alt="*" title="', $txt['upshrink_description'], '" align="top" style="margin: 2px 0;" border="0" /></a><img align="middle" id="upshrinkTempLeftbar" src="', $settings['images_url'], '/blank.gif" alt="" style="margin-right: 0ex;" />';

	// Show the menu here, according to the menu sub template.
	template_menu();

	if(!empty($settings['use_tp']) && $context['TPortal']['rightbar'])
		echo '
							<a href="#" onclick="shrinkHeaderRightbar(!current_rightbar); return false;"><img id="upshrinkRightbar" src="', $settings['images_url'], '/', empty($options['collapse_rightbar']) ? 'upshrink.gif' : 'upshrink2.gif', '" alt="*" title="', $txt['upshrink_description'], '" align="top"  style="margin: 2px 0;" border="0" /></a><img id="upshrinkTempRightbar" src="', $settings['images_url'], '/blank.gif" alt="" style="margin-right: 0ex;" />';

	echo '
						</td>
						<td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/r_side.gif);">
							<img src="' .  $settings['images_url']. '/r_side.gif" width="50" height="2" border="0">
						</td>
					</tr>
				</table>';	  

	// TinyPortal end
	//Display ads on the top of the page
	if (!empty($settings['use_ads']) && function_exists("show_topofpageAds"))
	{
		echo '
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center"';
						//stubborn Safari needs a fix
						if($context['browser']['is_safari'])
						echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
						else if($context['browser']['is_ie'] || $context['browser']['is_mac_ie'])			
							echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
									
						echo '>
					<tr valign="top">
						<td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/l_side.gif);"><img src="' .  $settings['images_url']. '/l_side.gif" width="50" height="2" border="0">
						</td>
						<td width="100%">';

		$ads = show_topofpageAds();	
		if(!empty($ads))
			if($ads['type']==0){
				echo $ads['content'];
			}else{
				eval($ads['content']);	
			}
		unset($ads);
		echo '
						</td>
						<td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/r_side.gif);"><img src="' .  $settings['images_url']. '/r_side.gif" width="50" height="2" border="0">
						</td>
					</tr>
				</table>';	  
	}
	// Left Side Bar  and Starts Theme Table
	echo '
				<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center"';
						//stubborn Safari needs a fix
						if($context['browser']['is_safari'])
						echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
						else if($context['browser']['is_ie'] || $context['browser']['is_mac_ie'])			
							echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
									
						echo '>
					<tr valign="top">
						<td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/l_side.gif);"><img src="' .  $settings['images_url']. '/l_side.gif" width="50" height="2" border="0"></td>';

	if(!empty($settings['use_ads']) && function_exists("show_towerleftAds"))
	{
		$ads = show_towerleftAds();	
		if(!empty($ads))
		{
			echo '		
						<td valign="top">';
			if($ads['type']==0)
				echo $ads['content'];
			else
				eval($ads['content']);
			echo '		</td>';
		}
		unset($ads);
	}

	// TinyPortal integrated bars
	if(!empty($settings['use_tp']) && $context['TPortal']['leftbar'])
	{
		echo '
							<td width="' ,$context['TPortal']['leftbar_width'], '" style="padding-top: 4px;padding-right: 1ex;" valign="top">
								<div id="leftbarHeader"', empty($options['collapse_leftbar']) ? '' : ' style="display: none;"', ' style="padding-top: 5px; width: ' ,$context['TPortal']['leftbar_width'], 'px;">';
		TPortal_sidebar('left');
		echo '				</div>
							</td>';
	}

	echo '						
							<td width="100%" align="left" valign="top" style="vertical-align: text-top; text-align:left;">';
	OpenTable();

	echo '
								<table width="100%" cellpadding="0px" cellspacing="0px" border="0px" align="center">
									<tr>
										<td width="100%" align="left" valign="top" class="smalltext">' , theme_linktree2() , '	</td>
									</tr>
								</table>';

	CloseTable();		
	echo '
								<table width="100%" cellpadding="0" cellspacing="0" border="0">
									<tr>';

	if(!empty($settings['flash_on2']) || !empty($settings['use_shoutbox'])){
		echo '						<td width="20%" valign="top"style="padding: 10px 3px 10px 0; ">';

		$sidebar=true;
		// shoutbox mod
		if(!empty($settings['use_shoutbox']))
		{
			echo $context['XD']['story_block']. $context['XD']['story_title']. 'Shoutbox'.$context['XD']['story_title3'];

		if(function_exists("smfshout")){		
			smfshout();
		}else{
			echo 'Sorry Ultimate Shoutbox Mod does not appear to be installed.';
		}

		echo $context['XD']['story_block2'];
	}
	if(!empty($settings['flash_on2'])){
		echo $context['XD']['story_block']. $context['XD']['story_title']. $settings['flash_title'].$context['XD']['story_title3'];

		if(function_exists("nav_block")){		
			nav_block();
		}else{
			echo 'Sorry Flash Nav function isn\'t present.';
		}
		echo $context['XD']['story_block2'];
	}
	echo '
											</td>';
	}
	else
		$sidebar=false;

	echo '<td width="', $sidebar ? '80%' : '100%' , '" align="left" valign="top" style="padding-top: 5px; padding-bottom: 10px;">';
		if(!empty($settings['use_tp']) && $context['TPortal']['centerbar'])
			echo '<div>' , TPortal_sidebar('center') , '</div>';

	if($settings['smartword']){
		OpenTable();
	}
}

function template_main_below()
{

	global $context, $settings, $options, $scripturl, $txt;

	//close forum body
	if($settings['smartword']){
		CloseTable();
	}

	echo '
					</td>
				</tr>
			</table>
		</td>';


	// TinyPortal integrated bars
	if(!empty($settings['use_tp']) && $context['TPortal']['rightbar'])
	{
		echo '<td width="' ,$context['TPortal']['rightbar_width'], '" style="padding-top: 4px;padding-left: 1ex;" valign="top">
<div id="rightbarHeader"', empty($options['collapse_rightbar']) ? '' : ' style="display: none;"', ' style="padding-top: 5px; width: ' ,$context['TPortal']['rightbar_width'], 'px;">';
		TPortal_sidebar('right');
		echo '</div></td>';
	}
	if(!empty($settings['use_ads']) && function_exists("show_towerrightAds"))
	{
		$ads = show_towerrightAds();	
		if(!empty($ads))
		{
			echo '				<td valign="top">';
			if($ads['type']==0)
				echo $ads['content'];
			else
				eval($ads['content']);
			echo '				</td>';
		}
		unset($ads);
	}

	//Right Border
	echo '
		<td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/r_side.gif);"><img src="' .  $settings['images_url']. '/r_side.gif" width="50" height="2" border="0">
		</td>
	</tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center"';
						//stubborn Safari needs a fix
						if($context['browser']['is_safari'])
						echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
						else if($context['browser']['is_ie'] || $context['browser']['is_mac_ie'])			
							echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
									
						echo '><tr valign="top"><td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/l_side.gif);"><img src="' .  $settings['images_url']. '/l_side.gif" width="50" height="2" border="0"></td><td width="100%">';

	if(!empty($settings['use_ads']) && function_exists("show_bottomAds"))
	{
		$ads = show_bottomAds();	
		if(!empty($ads))
		{
			//echo '<div>';
			if($ads['type']==0)
				echo $ads['content'];
			else
				eval($ads['content']);
			//echo '</div>';
		}
		unset($ads);
	}
	echo '</td><td width="50" valign="top" style="background-image: url(' .  $settings['images_url']. '/r_side.gif);"><img src="' .  $settings['images_url']. '/r_side.gif" width="50" height="2" border="0"></td></tr></table>';
						
									
						echo '
	<table width="100%" height="151" border="0" cellpadding="0" cellspacing="0"';
						//stubborn Safari needs a fix
						if($context['browser']['is_safari'])
						echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
						else if($context['browser']['is_ie'] || $context['browser']['is_mac_ie'])			
							echo ' style="position: relative; top: -32px; z-index: 2; vertical-align: top;"';
									
						echo '>
		<tr>
			<td rowspan="6"><img src="' .  $settings['images_url']. '/ft/footer_01.gif" width="49" height="151" alt="" /></td>
			<td rowspan="4">';
	if(!empty($settings['use_tp']) && !empty($settings['bottom_left'])){
		echo '	<img src="' .  $settings['images_url']. '/ft/footer_02.gif" width="151" height="75" alt="" /></td>';
	}else{ 
		echo '		<img src="' .  $settings['images_url']. '/ft/footer_35.gif" width="151" height="75" alt="" /></td>';
	}
	echo '<td rowspan="6">
			<img src="' .  $settings['images_url']. '/ft/footer_03.gif" width="16" height="151" alt="" /></td>
			<td rowspan="3" style="background-image: url(' .  $settings['images_url']. '/ft/footer_04.gif);" width="100%" height="67"></td>
			<td rowspan="6"><img src="' .  $settings['images_url']. '/ft/footer_05.gif" width="14" height="151" alt="" /></td>
			<td colspan="9"><img src="' .  $settings['images_url']. '/ft/footer_06.gif" width="152" height="32" alt="" /></td>
			<td><img src="' .  $settings['images_url']. '/ft/footer_07.gif" width="49" height="32" alt="" /></td>
		</tr>
		<tr>
			<td>	<img src="' .  $settings['images_url']. '/ft/footer_08.gif" width="26" height="19" alt="" /></td>
			<td>	<a href="', $scripturl, '">	<img src="' .  $settings['images_url']. '/ft/footer_09.gif" width="19" height="19" border="0" alt="Home" /></a></td>
			<td><img src="' .  $settings['images_url']. '/ft/footer_10.gif" width="9" height="19" alt="" /></td>
			<td><a href="', $scripturl, '?action=tpmod;dl"><img src="' .  $settings['images_url']. '/ft/footer_11.gif" width="19" height="19" border="0" alt="Downloads" /></a></td>
			<td><img src="' .  $settings['images_url']. '/ft/footer_12.gif" width="9" height="19" alt="" /></td>
			<td><a href="', $scripturl, '?action=forum"><img src="' .  $settings['images_url']. '/ft/footer_13.gif" width="19" height="19" border="0" alt="Forums" /></a></td>
			<td><img src="' .  $settings['images_url']. '/ft/footer_14.gif" width="9" height="19" alt="" /></td>
			<td><a href="', $scripturl, '?action=profile"><img src="' .  $settings['images_url']. '/ft/footer_15.gif" width="19" height="19" border="0" alt="Account" /></a></td>
			<td><img src="' .  $settings['images_url']. '/ft/footer_16.gif" width="23" height="19" alt="" /></td>
			<td><img src="' .  $settings['images_url']. '/ft/footer_17.gif" width="49" height="19" alt="" /></td>
		</tr>
		<tr>
			<td colspan="9" rowspan="2"><img src="' .  $settings['images_url']. '/ft/footer_18.gif" width="152" height="24" alt="" /></td>
			<td><img src="' .  $settings['images_url']. '/ft/footer_19.gif" width="49" height="16" alt="" /></td>
		</tr>
		<tr>
			<td rowspan="3" style="background-image: url(' .  $settings['images_url']. '/ft/footer_20.gif);" width="100%" height="84" align="center" valign="top"><b>';

	// Show the "Powered by" and "Valid" logos, as well as the copyright.  Remember, the copyright must be somewhere!
	echo '<div align="center"><span class="copyright">
	
				<table cellspacing="0" cellpadding="3" border="0" align="center" >
					<tr>	
						<td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'right' : 'left', '" class="copyright">
							<a href="http://www.mysql.com/" target="_blank"><img id="powered-mysql" src="', $settings['images_url'], '/h_powered-mysql.gif" alt="', $txt['powered_by_mysql'], '"  style="margin: 5px 16px;" border="0"  /></a>
						</td>
						<td valign="middle" align="center" style="white-space: nowrap;" class="copyright"><span class="gensmall">
							', theme_copyright(), '<br />';
							if(!empty($settings['use_tp']))
							  echo  tportal_version().'|';  
							 
							 echo  $context['XD']['theme_copyrigt'],'
						</span></td>
						<td width="28%" valign="middle" align="', !$context['right_to_left'] ? 'left' : 'right', '" class="copyright">
							<a href="http://www.php.net/" target="_blank"><img id="powered-php" src="', $settings['images_url'], '/h_powered-php.gif" alt="', $txt['powered_by_php'], '"  style="margin: 5px 16px;" border="0"  /></a>
						</td>
					</tr>
				</table>';
	echo '</span>
		</div>';

	echo '<div align="center"><span class="copyright gensmall">';	
	// Show the load time?
	if ($context['show_load_time'])
		echo $txt['smf301'], $context['load_time'], $txt['smf302'], $context['load_queries'], $txt['smf302b'];

	if (!empty($settings['use_gb']) && isset($context['ob_googlebot_stats']))
		echo '<br />', $txt['ob_googlebot_stats_lastvisit'], timeformat($context['ob_googlebot_stats']['Googlebot']['lastvisit']);
	echo '
			</span></div>
		<a name="bot"></a>
		</td><td><img src="' .  $settings['images_url']. '/ft/footer_21.gif" width="49" height="8" alt="" /></td>
	</tr>
	<tr>
		<td style="background-image: url(' .  $settings['images_url']. '/ft/footer_22.gif);" width="151" height="61">';

if(!empty($settings['use_tp']) && !empty($settings['bottom_left']))
	TPStormsDLMod();
else 
	storm_recentbox();

echo '
		</td>
		<td colspan="9" style="background-image: url(' .  $settings['images_url']. '/ft/footer_23.gif);" width="152" height="61">';

storm_topPoster();

echo '	
		</td><td><img src="' .  $settings['images_url']. '/ft/footer_24.gif" width="49" height="61" alt="" /></td>
	</tr>
	<tr>
		<td><img src="' .  $settings['images_url']. '/ft/footer_25.gif" width="151" height="15" alt="" /></td>
		<td colspan="9"><img src="' .  $settings['images_url']. '/ft/footer_26.gif" width="152" height="15" alt="" /></td>
		<td><img src="' .  $settings['images_url']. '/ft/footer_27.gif" width="49" height="15" alt="" /></td>
	</tr>
</table>';

//Ends Theme Table
echo '</td></table>';
	// This is an interesting bug in Internet Explorer AND Safari. Rather annoying, it makes overflows just not tall enough.
	if (($context['browser']['is_ie'] && !$context['browser']['is_ie4']) || $context['browser']['is_mac_ie'] || $context['browser']['is_safari'] || $context['browser']['is_firefox'])
	{
		// The purpose of this code is to fix the height of overflow: auto div blocks, because IE can't figure it out for itself.
		echo '
		<script language="JavaScript" type="text/javascript"><!-- // --><![CDATA[';

		// Unfortunately, Safari does not have a "getComputedStyle" implementation yet, so we have to just do it to code...
		if($context['browser']['is_safari'])
			echo '
			window.addEventListener("load", smf_codeFix, false);

			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = 0; i < codeFix.length; i++)
				{
					if ((codeFix[i].className == "code" || codeFix[i].className == "post" || codeFix[i].className == "signature") && codeFix[i].offsetHeight < 20)
						codeFix[i].style.height = (codeFix[i].offsetHeight + 20) + "px";
				}
			}';
		elseif ($context['browser']['is_firefox'])
			echo '
			window.addEventListener("load", smf_codeFix, false);
			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = 0; i < codeFix.length; i++)
				{
					if (codeFix[i].className == "code" && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0))
						codeFix[i].style.overflow = "scroll";
				}
			}';			
		else
			echo '
			var window_oldOnload = window.onload;
			window.onload = smf_codeFix;

			function smf_codeFix()
			{
				var codeFix = document.getElementsByTagName ? document.getElementsByTagName("div") : document.all.tags("div");

				for (var i = codeFix.length - 1; i > 0; i--)
				{
					if (codeFix[i].currentStyle.overflow == "auto" && (codeFix[i].currentStyle.height == "" || codeFix[i].currentStyle.height == "auto") && (codeFix[i].scrollWidth > codeFix[i].clientWidth || codeFix[i].clientWidth == 0) && (codeFix[i].offsetHeight != 0 || codeFix[i].className == "code"))
						codeFix[i].style.height = (codeFix[i].offsetHeight + 36) + "px";
				}

				if (window_oldOnload)
				{
					window_oldOnload();
					window_oldOnload = null;
				}
			}';

		echo '
		// ]]></script>';
	}

	// The following will be used to let the user know that some AJAX process is running
	echo '
	<div id="ajax_in_progress" style="display: none;', $context['browser']['is_ie'] && !$context['browser']['is_ie7'] ? 'position: absolute;' : '', '">', $txt['ajax_in_progress'], '</div>
</body>

</html>';

}

function storm_recentbox($show_topics = 10)
{
	global $context, $settings, $options, $txt , $modSettings;

	 if($show_topics < 1)
	{$show_topics = 10;}
	// leave out the recycle board, if any
	if(isset($modSettings['recycle_board']))
		$bb=array($modSettings['recycle_board']);
	else
		$bb=array();

	$what=ssi_recentTopics($num_recent = $show_topics, $bb, $output_method = 'array');
	// Output the topics
	$counter=1; $cmax=count($what);
	echo '
	<A name="scrollingCoderecents"></A>
	<marquee behavior="scroll" align="left" direction="up" width="100%" height="60px" scrollamount="1" scrolldelay="16" onmouseover=\'this.stop()\' onmouseout=\'this.start()\'>
	<div  style="padding: 5px; width: 98%; text-align:left;" class="gensmall">';
	foreach($what as $w)
	{
		echo '
		<div class="gensmall"><a href="'.$w['href'].'">'.$w['short_subject'].'</a></div>
		<div class="gensmall">', $txt[525], ' <b>', $w['poster']['link'], '</b></div>
		<div class="gensmall">';
		if(!$w['new'])
			echo '<a href="'.$w['href'].'"><img border="0" src="'.$settings['images_url'].'/'.$context['user']['language'].'/new.gif" alt="new" /></a> ';

		echo '['.$w['time'].']
		</div>';

		if($counter != $cmax)
			echo '<hr />';
		$counter++;
	}
	echo '
	</div></marquee>';
}

function nav_block()
{
	global $context, $settings, $options, $scripturl, $txt;



echo  '
	<table align="center" width="137">
		<tr>
			<td align="center" width="100%">
				<object classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000" codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,0,0" width="137" height="256" id="nav" align="center">
				<param name="movie"  value="'. $settings['images_url']. '/Flash/nav.swf?toptext=',isset($settings['nav_cat1']) ? $settings['nav_cat1'] : '' , '&middletext=',isset($settings['nav_cat2']) ? $settings['nav_cat2'] : '' , '&bottomtext=',isset($settings['nav_cat3']) ? $settings['nav_cat3'] : '' , '&bottomtext1=',isset($settings['nav_bottomtext1']) ? $settings['nav_bottomtext1'] : '' , '&bottomurl1=',isset($settings['nav_bottomurl1']) ? $settings['nav_bottomurl1'] : '' , '&bottomtext2=',isset($settings['nav_bottomtext2']) ? $settings['nav_bottomtext2'] : '' , '&bottomurl2=',isset($settings['nav_bottomurl2']) ? $settings['nav_bottomurl2'] : '' , '&bottomtext3=',isset($settings['nav_bottomtext3']) ? $settings['nav_bottomtext3'] : '' , '&bottomurl3=',isset($settings['nav_bottomurl3']) ? $settings['nav_bottomurl3'] : '' , '&bottomtext4=',isset($settings['nav_bottomtext4']) ? $settings['nav_bottomtext4'] : '' , '&bottomurl4=',isset($settings['nav_bottomurl4']) ? $settings['nav_bottomurl4'] : '' , '&bottomtext5=',isset($settings['nav_bottomtext5']) ? $settings['nav_bottomtext5'] : '' , '&bottomurl5=',isset($settings['nav_bottomurl5']) ? $settings['nav_bottomurl5'] : '' , '&bottomtext6=',isset($settings['nav_bottomtext6']) ? $settings['nav_bottomtext6'] : '' , '&bottomurl6=',isset($settings['nav_bottomurl6']) ? $settings['nav_bottomurl6'] : '' , '&bottomtext7=',isset($settings['nav_bottomtext7']) ? $settings['nav_bottomtext7'] : '' , '&bottomurl7=',isset($settings['nav_bottomurl7']) ? $settings['nav_bottomurl7'] : '' , '&bottomtext8=',isset($settings['nav_bottomtext8']) ? $settings['nav_bottomtext8'] : '' , '&bottomurl8=',isset($settings['nav_bottomurl8']) ? $settings['nav_bottomurl8'] : '' , '&bottomtext9=',isset($settings['nav_bottomtext9']) ? $settings['nav_bottomtext9'] : '' , '&bottomurl9=',isset($settings['nav_bottomurl9']) ? $settings['nav_bottomurl9'] : '' , '&middletext1=',isset($settings['nav_middletext1']) ? $settings['nav_middletext1'] : '' , '&middleurl1=',isset($settings['nav_middleurl1']) ? $settings['nav_middleurl1'] : '' , '&middletext2=',isset($settings['nav_middletext2']) ? $settings['nav_middletext2'] : '' , '&middleurl2=',isset($settings['nav_middleurl2']) ? $settings['nav_middleurl2'] : '' , '&middletext3=',isset($settings['nav_middletext3']) ? $settings['nav_middletext3'] : '' , '&middleurl3=',isset($settings['nav_middleurl3']) ? $settings['nav_middleurl3'] : '' , '&middletext4=',isset($settings['nav_middletext4']) ? $settings['nav_middletext4'] : '' , '&middleurl4=',isset($settings['nav_middleurl4']) ? $settings['nav_middleurl4'] : '' , '&middletext5=',isset($settings['nav_middletext5']) ? $settings['nav_middletext5'] : '' , '&middleurl5=',isset($settings['nav_middleurl5']) ? $settings['nav_middleurl5'] : '' , '&middletext6=',isset($settings['nav_middletext6']) ? $settings['nav_middletext6'] : '' , '&middleurl6=',isset($settings['nav_middleurl6']) ? $settings['nav_middleurl6'] : '' , '&middletext7=',isset($settings['nav_middletext7']) ? $settings['nav_middletext7'] : '' , '&middleurl7=',isset($settings['nav_middleurl7']) ? $settings['nav_middleurl7'] : '' , '&middletext8=',isset($settings['nav_middletext8']) ? $settings['nav_middletext8'] : '' , '&middleurl8=',isset($settings['nav_middleurl8']) ? $settings['nav_middleurl8'] : '' , '&middletext9=',isset($settings['nav_middletext9']) ? $settings['nav_middletext9'] : '' , '&middleurl9=',isset($settings['nav_middleurl9']) ? $settings['nav_middleurl9'] : '' , '&toptext1=',isset($settings['nav_toptext1']) ? $settings['nav_toptext1'] : '' , '&topurl1=',isset($settings['nav_topurl1']) ? $settings['nav_topurl1'] : '' , '&toptext2=',isset($settings['nav_toptext2']) ? $settings['nav_toptext2'] : '' , '&topurl2=',isset($settings['nav_topurl2']) ? $settings['nav_topurl2'] : '' , '&toptext3=',isset($settings['nav_toptext3']) ? $settings['nav_toptext3'] : '' , '&topurl3=',isset($settings['nav_topurl3']) ? $settings['nav_topurl3'] : '' , '&toptext4=',isset($settings['nav_toptext4']) ? $settings['nav_toptext4'] : '' , '&topurl4=',isset($settings['nav_topurl4']) ? $settings['nav_topurl4'] : '' , '&toptext5=',isset($settings['nav_toptext5']) ? $settings['nav_toptext5'] : '' , '&topurl5=',isset($settings['nav_topurl5']) ? $settings['nav_topurl5'] : '' , '&toptext6=',isset($settings['nav_toptext6']) ? $settings['nav_toptext6'] : '' , '&topurl6=',isset($settings['nav_topurl6']) ? $settings['nav_topurl6'] : '' , '&toptext7=',isset($settings['nav_toptext7']) ? $settings['nav_toptext7'] : '' , '&topurl7=',isset($settings['nav_topurl7']) ? $settings['nav_topurl7'] : '' , '&toptext8=',isset($settings['nav_toptext8']) ? $settings['nav_toptext8'] : '' , '&topurl8=',isset($settings['nav_topurl8']) ? $settings['nav_topurl8'] : '' , '&toptext9=',isset($settings['nav_toptext9']) ? $settings['nav_toptext9'] : '' , '&topurl9=',isset($settings['nav_topurl9']) ? $settings['nav_topurl9'] : '' , '">
				<param name="menu" value="false"><param name="quality" value="best"> <param name="wmode" value="transparent"> 
				<embed src="' . $settings['images_url']. '/Flash/nav.swf?toptext=',isset($settings['nav_cat1']) ? $settings['nav_cat1'] : '' , '&middletext=',isset($settings['nav_cat2']) ? $settings['nav_cat2'] : '' , '&bottomtext=',isset($settings['nav_cat3']) ? $settings['nav_cat3'] : '' , '&bottomtext1=',isset($settings['nav_bottomtext1']) ? $settings['nav_bottomtext1'] : '' , '&bottomurl1=',isset($settings['nav_bottomurl1']) ? $settings['nav_bottomurl1'] : '' , '&bottomtext2=',isset($settings['nav_bottomtext2']) ? $settings['nav_bottomtext2'] : '' , '&bottomurl2=',isset($settings['nav_bottomurl2']) ? $settings['nav_bottomurl2'] : '' , '&bottomtext3=',isset($settings['nav_bottomtext3']) ? $settings['nav_bottomtext3'] : '' , '&bottomurl3=',isset($settings['nav_bottomurl3']) ? $settings['nav_bottomurl3'] : '' , '&bottomtext4=',isset($settings['nav_bottomtext4']) ? $settings['nav_bottomtext4'] : '' , '&bottomurl4=',isset($settings['nav_bottomurl4']) ? $settings['nav_bottomurl4'] : '' , '&bottomtext5=',isset($settings['nav_bottomtext5']) ? $settings['nav_bottomtext5'] : '' , '&bottomurl5=',isset($settings['nav_bottomurl5']) ? $settings['nav_bottomurl5'] : '' , '&bottomtext6=',isset($settings['nav_bottomtext6']) ? $settings['nav_bottomtext6'] : '' , '&bottomurl6=',isset($settings['nav_bottomurl6']) ? $settings['nav_bottomurl6'] : '' , '&bottomtext7=',isset($settings['nav_bottomtext7']) ? $settings['nav_bottomtext7'] : '' , '&bottomurl7=',isset($settings['nav_bottomurl7']) ? $settings['nav_bottomurl7'] : '' , '&bottomtext8=',isset($settings['nav_bottomtext8']) ? $settings['nav_bottomtext8'] : '' , '&bottomurl8=',isset($settings['nav_bottomurl8']) ? $settings['nav_bottomurl8'] : '' , '&bottomtext9=',isset($settings['nav_bottomtext9']) ? $settings['nav_bottomtext9'] : '' , '&bottomurl9=',isset($settings['nav_bottomurl9']) ? $settings['nav_bottomurl9'] : '' , '&middletext1=',isset($settings['nav_middletext1']) ? $settings['nav_middletext1'] : '' , '&middleurl1=',isset($settings['nav_middleurl1']) ? $settings['nav_middleurl1'] : '' , '&middletext2=',isset($settings['nav_middletext2']) ? $settings['nav_middletext2'] : '' , '&middleurl2=',isset($settings['nav_middleurl2']) ? $settings['nav_middleurl2'] : '' , '&middletext3=',isset($settings['nav_middletext3']) ? $settings['nav_middletext3'] : '' , '&middleurl3=',isset($settings['nav_middleurl3']) ? $settings['nav_middleurl3'] : '' , '&middletext4=',isset($settings['nav_middletext4']) ? $settings['nav_middletext4'] : '' , '&middleurl4=',isset($settings['nav_middleurl4']) ? $settings['nav_middleurl4'] : '' , '&middletext5=',isset($settings['nav_middletext5']) ? $settings['nav_middletext5'] : '' , '&middleurl5=',isset($settings['nav_middleurl5']) ? $settings['nav_middleurl5'] : '' , '&middletext6=',isset($settings['nav_middletext6']) ? $settings['nav_middletext6'] : '' , '&middleurl6=',isset($settings['nav_middleurl6']) ? $settings['nav_middleurl6'] : '' , '&middletext7=',isset($settings['nav_middletext7']) ? $settings['nav_middletext7'] : '' , '&middleurl7=',isset($settings['nav_middleurl7']) ? $settings['nav_middleurl7'] : '' , '&middletext8=',isset($settings['nav_middletext8']) ? $settings['nav_middletext8'] : '' , '&middleurl8=',isset($settings['nav_middleurl8']) ? $settings['nav_middleurl8'] : '' , '&middletext9=',isset($settings['nav_middletext9']) ? $settings['nav_middletext9'] : '' , '&middleurl9=',isset($settings['nav_middleurl9']) ? $settings['nav_middleurl9'] : '' , '&toptext1=',isset($settings['nav_toptext1']) ? $settings['nav_toptext1'] : '' , '&topurl1=',isset($settings['nav_topurl1']) ? $settings['nav_topurl1'] : '' , '&toptext2=',isset($settings['nav_toptext2']) ? $settings['nav_toptext2'] : '' , '&topurl2=',isset($settings['nav_topurl2']) ? $settings['nav_topurl2'] : '' , '&toptext3=',isset($settings['nav_toptext3']) ? $settings['nav_toptext3'] : '' , '&topurl3=',isset($settings['nav_topurl3']) ? $settings['nav_topurl3'] : '' , '&toptext4=',isset($settings['nav_toptext4']) ? $settings['nav_toptext4'] : '' , '&topurl4=',isset($settings['nav_topurl4']) ? $settings['nav_topurl4'] : '' , '&toptext5=',isset($settings['nav_toptext5']) ? $settings['nav_toptext5'] : '' , '&topurl5=',isset($settings['nav_topurl5']) ? $settings['nav_topurl5'] : '' , '&toptext6=',isset($settings['nav_toptext6']) ? $settings['nav_toptext6'] : '' , '&topurl6=',isset($settings['nav_topurl6']) ? $settings['nav_topurl6'] : '' , '&toptext7=',isset($settings['nav_toptext7']) ? $settings['nav_toptext7'] : '' , '&topurl7=',isset($settings['nav_topurl7']) ? $settings['nav_topurl7'] : '' , '&toptext8=',isset($settings['nav_toptext8']) ? $settings['nav_toptext8'] : '' , '&topurl8=',isset($settings['nav_topurl8']) ? $settings['nav_topurl8'] : '' , '&toptext9=',isset($settings['nav_toptext9']) ? $settings['nav_toptext9'] : '' , '&topurl9=',isset($settings['nav_topurl9']) ? $settings['nav_topurl9'] : '' , '" menu="false" quality="best" wmode="transparent"  width="137" height="256" name="nav" align="left" type="application/x-shockwave-flash" pluginspage="http://www.macromedia.com/go/getflashplayer"></embed></object>
			</td>
		</tr>
	</table>';


	
}

/******************************************************************************
* Top Poster Marque, code by  StormLrd																						 *
*******************************************************************************
*******************************************************************************/
//Insert the following where you wish the block to be: storm_topPoster($settings['number_top_posters']);
//Place this entire function block on the index.template after echo ' </body></html>'; }

// show some stats
function storm_topPoster($topNumber = 10, $output_method = 'echo ')
{
	global $db_prefix, $scripturl;

	if($topNumber < 1)
	{$topNumber = 10;}

	// Find the latest poster.
	$request = db_query("
	SELECT ID_MEMBER, realName, posts
		FROM {$db_prefix}members
		ORDER BY posts DESC
		LIMIT $topNumber", __FILE__, __LINE__);
		$return = array();
	while ($row = mysql_fetch_assoc($request))
		$return[] = array(
			'id' => $row['ID_MEMBER'],
			'name' => $row['realName'],
			'href' => $scripturl . '?action=profile;u=' . $row['ID_MEMBER'],
			'link' => '<a href="' . $scripturl . '?action=profile;u=' . $row['ID_MEMBER'] . '">' . $row['realName'] . '</a>',
			'posts' => $row['posts']
			);
	
	mysql_free_result($request);

	// Just return all the top posters.
	if ($output_method != 'echo ')
		return $return;
	$posterscount = 1;
	
	// Make a quick array to list the links in.
	//$temp_array = array();echo implode(', ', $temp_array);
	echo '
	<A name="scrollingCode"></A>
	<marquee behavior="scroll" align="left" direction="up" width="100%" height="60px" scrollamount="1" scrolldelay="16" onmouseover=\'this.stop()\' onmouseout=\'this.start()\'>
		<table width="100%" cellspacing="1px" cellpadding="0px" border="0px" align="center">';

	foreach ($return as $member)
	{
		echo '
			<tr>
				<td align="left" width="40px" class="smalltext"><b>#' , $posterscount , '</b></td>
				<td width="20px">&nbsp;</td>
				<td align="left" width="70%" class="forumlink" ><span class="smalltext">', $member['link'] , '</span></td>
			</tr>';
		$posterscount++;
	}
	echo '
		</table>
	</marquee>';
} 

/******************************************************************************
* Top downloads Marque, code by Bloc, modified by StormLrd																						 *
*******************************************************************************
* TP: Tiny Portal for SMF																  *
* Software Version:			  SMF 0.8													*
* Software by:					 Bloc (http://www.tinyportal.net) *
* Copyright 2005 by:	  Bloc (bloc@tinyportal.net)			*
* Support, News, Updates at:  http://www.tinyportal.net						 *
*******************************************************************************/
//Insert the following where you wish the block to be: TPStormsDLMod();
//Place this entire function block on the index.template after echo ' </body></html>'; }
// show some stats

function TPStormsDLMod($maxcount = 10)
{
	global $txt, $scripturl, $db_prefix, $modSettings, $context, $settings , $boarddir;
	////////////////////////Edit only here please/////////////////////////////////////

	//$maxcount number of downloads to show in top downloads
	if($maxcount < 1)
	{$maxcount = 10;}
		///////////////////////Do Not Edit below here please//////////////////////////////	
		$tp_prefix=$settings['tp_prefix'];

		$context['TPortal']['dl_scats']=array();
		$context['TPortal']['dl_sitems']=array();
		$context['TPortal']['dl_scount']=array();

		// count items in each category
		$request = db_query("SELECT category FROM {$tp_prefix}dlmanager WHERE type = 'dlitem'", __FILE__, __LINE__);
		if(mysql_num_rows($request)>0)
		{
			while($row=mysql_fetch_assoc($request))
			{
				if($row['category']>0)
				{
					if(isset($context['TPortal']['dl_scount'][$row['category']]))
						$context['TPortal']['dl_scount'][$row['category']]++;
					else
						$context['TPortal']['dl_scount'][$row['category']]=1;
				}
			}
			mysql_free_result($request);
		}
		//first : fetch all allowed categories
		$context['TPortal']['uploadcats'] = array();
		$request = db_query("SELECT id, parent, name, access FROM {$tp_prefix}dlmanager WHERE type = 'dlcat'", __FILE__, __LINE__);
		if(mysql_num_rows($request)>0)
		{
			while ($row = mysql_fetch_assoc($request))
			{
				$show = get_perm($row['access']);
				if($show)
					$context['TPortal']['uploadcats'][$row['id']] = array(
						'id' => $row['id'],
						'name' => $row['name'],
						'parent' => $row['parent'],
						);
			}
			mysql_free_result($request);
		}
		//no categories to select...
		else
			return;

		// fetch all categories with subcats
		$req = db_query("SELECT * FROM {$tp_prefix}dlmanager WHERE type = 'dlcat'", __FILE__, __LINE__);
		if(mysql_num_rows($req)>0)
		{
			while($brow=mysql_fetch_assoc($req))
			{
				if(get_perm($brow['access']))
				{
					if(isset($context['TPortal']['dl_scount'][$brow['id']]))
						$items=$context['TPortal']['dl_scount'][$brow['id']];
					else
						$items=0;

					$context['TPortal']['topcats'][] = array(
						'items' => $items,
						'link' => '<a href="'.$scripturl.'?action=tpmod;dl=cat'.$brow['id'].'">'.$brow['name'].'</a>',
						);
					// add the category as viewable
					$context['TPortal']['viewcats'][] = $brow['id'];
				}
			}
			mysql_free_result($req);
			// sort it
			usort($context['TPortal']['topcats'], "dlsort");

		}

		// fetch all items
		$context['TPortal']['topitems'] = array();

		$request = db_query("SELECT * FROM {$tp_prefix}dlmanager WHERE type = 'dlitem'", __FILE__, __LINE__);
		if(mysql_num_rows($request)>0)
		{
			while($row=mysql_fetch_assoc($request))
			{
				if(isset($context['TPortal']['viewcats']) && isset($row['category']) && is_array($context['TPortal']['viewcats']) && in_array($row['category'],$context['TPortal']['viewcats']))
					$context['TPortal']['topitems'][] = array(
						'size' => $row['filesize'],
						'views' => $row['views'],
						'downloads' => $row['downloads'],
						'link' => '<a href="'.$scripturl.'?action=tpmod;dl=item'.$row['id'].'">'.$row['name'].'</a>',
						);
			}
			mysql_free_result($request);

			// sort it by filesize,views and downloads
			$context['TPortal']['topsize'] = array();
			$context['TPortal']['topviews']=array();
			$context['TPortal']['topsize']=$context['TPortal']['topitems'];

			if(sizeof($context['TPortal']['topsize'])>2)
				usort($context['TPortal']['topsize'], "dlsortsize");

			$context['TPortal']['topviews']=$context['TPortal']['topitems'];

			if(sizeof($context['TPortal']['topviews'])>2)
				usort($context['TPortal']['topviews'], "dlsortviews");

			if(sizeof($context['TPortal']['topitems'])>2)
				usort($context['TPortal']['topitems'], "dlsortdownloads");
		}

		// top downloads
		echo '<A name="scrollingCodedownloads"></A>
		<marquee behavior="scroll" align="left" direction="up" width="100%" height="60px" scrollamount="1" scrolldelay="16" onmouseover=\'this.stop()\' onmouseout=\'this.start()\'>
			<table width="98%" cellpadding="2" cellspacing="0">';
		$counter=0;
		if(isset($context['TPortal']['topitems'][0]['downloads']))
			$maxval=$context['TPortal']['topitems'][0]['downloads'];
		if(isset($context['TPortal']['topitems']) && count($context['TPortal']['topitems'])>0)
		{
			foreach($context['TPortal']['topitems'] as $cats)
			{
				if($counter<$maxcount)
				{
					echo '
				<tr>
					<td class="smalltext" width="5%">#'.($counter+1).'<b></b></td>
					<td width="90%">'.$cats['link'].'</td><td width="5%">'.$cats['downloads'].'</td>
				</tr>';
					$counter++;
				}
			}
		}
		else
			echo '
				<tr>
					<td class="smalltext" align="center">No Downloads at this time.</td>
				</tr>';

		echo '
			</table>
		</marquee>';
}
	/******************************************************************************/

function theme_linktree()
{
	return;
}

// Show a linktree. This is that thing that shows "My Community | General Category | General Discussion"..
function theme_linktree2()
{
	global $context, $settings, $options;

	// Folder style or inline?  Inline has a smaller font.
	echo '
	<div style="padding-top: 5px; padding-bottom: 1ex;"><span class="nav" style="font-size: smaller;">';


	// Each tree item has a URL and name.  Some may have extra_before and extra_after.
	foreach ($context['linktree'] as $link_num => $tree)
	{
		// Show pretty folder
		if ($link_num == 0)
		{
			echo '<img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="+" border="0" />&nbsp; ';
		}
		else if ($link_num == 1)
		{
			echo '<img src="' . $settings['images_url'] . '/icons/linktree_side.gif" alt="|-" border="0" /><img src="' . $settings['images_url'] . '/icons/folder_open.gif" alt="+" border="0" />&nbsp; ';
		}
		else
		{
			echo '&raquo; ';
		}

		// Show the link, including a URL if it should have one.
		echo '<b>', $settings['linktree_link'] && isset($tree['url']) ? '<a href="' . $tree['url'] . '" class="nav">' . $tree['name'] . '</a>' : $tree['name'], '</b>';

		if ($link_num == 0)
		{
			echo '<br />';
		}
	}

	echo '</span></div>';
}

function top_menu()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;
	// Work out where we currently are.

	$current_action = 'home';

	if (in_array($context['current_action'], array('admin', 'ban', 'boardrecount', 'cleanperms', 'detailedversion', 'dumpdb', 'featuresettings', 'featuresettings2', 'findmember', 'maintain', 'manageattachments', 'manageboards', 'managecalendar', 'managesearch', 'membergroups', 'modlog', 'news', 'optimizetables', 'packageget', 'packages', 'permissions', 'pgdownload', 'postsettings', 'regcenter', 'repairboards', 'reports', 'serversettings', 'serversettings2', 'smileys', 'viewErrorLog', 'viewmembers','globalAnnouncementsAdmin','shop_general', 'shop_items_add', 'shop_items_edit', 'shop_cat', 'shop_inventory', 'shop_restock', 'shop_usergroup')))
		$current_action = 'admin';
	if (in_array($context['current_action'], array('shop','paypal','bookmarks','contact','store','links','staff','gallery','search', 'admin', 'calendar', 'profile', 'mlist', 'register', 'login', 'help', 'pm','unread','unreadreplies', 'arcade', 'forum', 'tpadmin')))
		$current_action = $context['current_action'];
	if ($context['current_action'] == 'search2')
		$current_action = 'search';

	if (isset($_GET['dl']))
		$current_action = 'dlmanager';

	if ((isset($_GET['board']) || isset($_GET['topic'])) && empty($settings['use_tp']))
		$current_action = 'home';
	elseif ((isset($_GET['board']) || isset($_GET['topic'])) && !empty($settings['use_tp']))
		$current_action = 'forum';

	if ($context['current_action'] == 'theme')
		$current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'pick' ? 'profile' : 'admin';
	 
	// Begin SMFShop code
	if ($context['current_action'] == 'shop')
		$current_action = 'shop';
	if (in_array($context['current_action'], array('shop_general', 'shop_items_add', 'shop_items_edit', 'shop_cat', 'shop_inventory', 'shop_restock', 'shop_usergroup')))
		$current_action = 'admin';
	// End SMFShop code

	// --- start FelBlog
	if ($context['current_action'] == 'felblog')
		 $current_action = isset($_REQUEST['sa']) && $_REQUEST['sa'] == 'unread' ? 'fel_unread' : 'felblog';
	// --- end FelBlog
	
	// Show the start of the tab section.
	echo '
	<div id="topmenu_div"';
						//stubborn Safari needs a fix
						if($context['browser']['is_safari'])
						echo ' style="position: absolute; top: 165px; z-index: 2; right: 5px;width: 700px; vertical-align: top;"';
						else if($context['browser']['is_ie'] || $context['browser']['is_ie4'] || $context['browser']['is_mac_ie'])	
						echo ' style="position: absolute; top: 165px; z-index: 2; right: 5px;width: 700px; vertical-align: top;"';		
						echo '>
		<div id="topmenu">
			<ul id="topmenu">
				<li><a' , $current_action=='unread' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=unread" title="Unread Posts">Unread</a></li>
				<li><a' , $current_action=='unreadreplies' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=unreadreplies" title="Replies to your posts">Replies</a></li>';
		// --- start FelBlog
	// Show the [blog] button.
	if (!empty($settings['use_felblog'])){
	if($modSettings['felblog_enabled'] == '1' && AllowedToBlog('view', $context['user']['id']))
		echo '<li><a' ,  $current_action == 'felblog'  ? ' class="chosen"' : '' , '  href="', $scripturl, '?action=felblog">Blog</a></li>';
		}
// --- end FelBlog

	// SMF Arcade
	if (!empty($settings['use_arcade']))
		echo '<li><a' , $current_action=='arcade' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=arcade">' . $txt['arcade'] . '</a></li>';

	// The [bookmarks] button
	if (!empty($settings['use_books']))
		echo '<li><a' , $current_action=='bookmarks' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=bookmarks">Bookmarks</a></li>';

	// the [contact] button
	if (!empty($settings['use_contacts'])){
		if ($context['allow_view_contact'])
			echo '<li><a' , $current_action=='contact' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=contact">' . $txt['smfcontact_contact'] . '</a></li>';
	}

	// Paypal Mod
	if (!empty($settings['use_donate'])){
		if (($modSettings['payPalEnable']) && (allowedTo('payPal_view')))
			echo '<li><a' , $current_action=='paypal' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=paypal">Donate</a></li>';}
	// the [SMF Gallery] button
	if (!empty($settings['use_smfgallery'])){
		if ($context['allow_smfgallery_view'])
			echo '<li><a' , $current_action=='gallery' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=gallery">' . $txt['smfgallery_menu'] . '</a></li>';
	}
	// the [links] button
	if (!empty($settings['use_smflinks'])){
		if ($context['allow_view_smflinks'])
			echo '<li><a' , $current_action=='links' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=links">Links</a></li>';
	}
	// SMFshop 
	if (!empty($settings['use_shop']))
		echo '<li><a' , $current_action=='shop' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=shop">Shop</a></li>';
	// the [SMF Store] button
	if (!empty($settings['use_smfstore'])){
		if ($context['allow_smfstore_view'])
			echo '<li><a' , $current_action=='store' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=store">Store</a></li>';
	}
	// the [staff list] button
	if (!empty($settings['use_smfstaff'])){
		if ($context['allow_view_stafflist'])
			echo '<li><a' , $current_action=='staff' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=staff">Team</a></li>';
	}
	if (!empty($settings['use_custom_pages'])){
	foreach($context['sitemenu'] as $menu => $val)
	{
		if($val[2]=='page')
			echo '<li><a href="',$scripturl,'?action='.$val[0].'">'.$val[1].'</a></li>';
		elseif($val[2]=='link')
			echo '<li><a href="'.$val[0].'">'.$val[1].'</a></li>';
	}
	}
					if ($context['user']['is_logged'])
						echo '<li class="last"><a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">' , $txt[108] , '</a></li>';
					if ($context['user']['is_guest'])
					{
						echo '<li class="last"><a' , $current_action=='login' ? ' class="chosen"' : '' , ' href="', $scripturl, '?action=login">' , $txt[34] , '</a></li>';	
						
					}
	echo '
</ul></div></div>';
}

// Show the menu up top.  Something like [home] [help] [profile] [logout]...
function template_menu()
{
	global $context, $settings, $options, $scripturl, $txt, $modSettings;

	// Show the [home] and [help] buttons.
	echo '
	<a href="', $scripturl, '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/home.gif" alt="' . $txt[103] . '" style="margin: 2px 0;" border="0" />' : $txt[103]), '</a>', $context['menu_separator'];
	if(!empty($settings['use_tp'])){
		if($settings['TPortal_front_type']!='boardindex')
			echo '		  <a href="', $scripturl, '?action=forum">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/forum.gif" alt="Forum Index" style="margin: 2px 0;" border="0" />' : 'Forum Index'), '</a>', $context['menu_separator'];
	}
	echo '		  
	<a href="', $scripturl, '?action=help" target="_blank">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/help.gif" alt="' . $txt[119] . '" style="margin: 2px 0;" border="0" />' : $txt[119]), '</a>', $context['menu_separator'];

	// How about the [search] button?
	if ($context['allow_search'])
		echo '
	<a href="', $scripturl, '?action=search">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/search.gif" alt="' . $txt[182] . '" style="margin: 2px 0;" border="0" />' : $txt[182]), '</a>', $context['menu_separator'];

	// Is the user allowed to administrate at all? ([admin])
	if ($context['allow_admin'])
		echo '
	<a href="', $scripturl, '?action=admin">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/admin.gif" alt="' . $txt[2] . '" style="margin: 2px 0;" border="0" />' : $txt[2]), '</a>', $context['menu_separator'];

	// Edit Profile... [profile]
	if ($context['allow_edit_profile'])
		echo '
	<a href="', $scripturl, '?action=profile">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/profile.gif" alt="' . $txt[79] . '" style="margin: 2px 0;" border="0" />' : $txt[467]), '</a>', $context['menu_separator'];

	// the [member] list button
	if ($context['allow_memberlist'])
		echo '<a href="', $scripturl, '?action=mlist">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/memberlist.gif" alt="' . $txt['331'] . '" style="margin: 2px 0;" border="0" />' : $txt['331']), '</a>', $context['menu_separator'];

	// The [calendar]!
	if ($context['allow_calendar'])
		echo '
	<a href="', $scripturl, '?action=calendar">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/calendar.gif" alt="' . $txt['calendar24'] . '" style="margin: 2px 0;" border="0" />' : $txt['calendar24']), '</a>', $context['menu_separator'];


	// If the user is a guest, show [login] and [register] buttons.
	if ($context['user']['is_guest'])
	{
		echo '
	<a href="', $scripturl, '?action=login">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/login.gif" alt="' . $txt[34] . '" style="margin: 2px 0;" border="0" />' : $txt[34]), '</a>', $context['menu_separator'], '
	<a href="', $scripturl, '?action=register">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/register.gif" alt="' . $txt[97] . '" style="margin: 2px 0;" border="0" />' : $txt[97]), '</a>';
	}
	// Otherwise, they might want to [logout]...
	else
		echo '
	<a href="', $scripturl, '?action=logout;sesc=', $context['session_id'], '">', ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/logout.gif" alt="' . $txt[108] . '" style="margin: 2px 0;" border="0" />' : $txt[108]), '</a>';

}
function template_content_above()
{
	global $context, $settings, $options, $scripturl, $txt;

	if(isset($_GET['action']))
		echo '
	<div id="content2"><div id="content2-l"><div id="content2-r"><div class="mpad">';
	else
		echo '<div class="content3">';

}
function template_content_below()
{
	global $context, $settings, $options, $scripturl, $txt;

	if(isset($_GET['action']))
		echo '
	</div></div></div></div>';
	else
		echo '</div>';

}
function checkmods()
{
	global $context, $settings, $options, $scripturl, $txt;

	if($context['user']['is_admin'])
	{
		$error='';
		// TP 
		if(!empty($settings['use_tp']) && !isset($context['TPortal']['showtop']))
			$error .= '<div class="errorbar" style="background: #f00;">You have turned on support for <b>TinyPortal</b>, but it doesn\'t seem the mod is actually installed!</div>';
		// Shoutbox
		if(!empty($settings['use_shoutbox']) && !function_exists('smfshout'))
			$error .= '<div class="errorbar" style="background: #f80;">You have turned on support for <b>Ultimate Shoutbox</b>, but it doesn\'t seem the mod is actually installed!</div>';

		// render it
		if(!empty($error))
			echo '<div id="errorpanel">'.$error.'</div>';
	}

}
function RecentImagesBlock()
{
global  $db_prefix,$scripturl,$txt,$modSettings,$boardurl,$settings, $options;
	
	if(empty($modSettings['gallery_url']))
	{
		$modSettings['gallery_url'] = $boardurl . '/gallery/';
	}
	if(!empty($settings['number_images_to_show']) && is_numeric($settings['number_images_to_show']))
		 $shows = $settings['number_images_to_show'];
	else
		 $shows = 0;
		
				  if($settings['display_which_images'] == 0)
				$show_what = 'ID_PICTURE';
				elseif($settings['display_which_images'] == 1)
				$show_what = 'rating';
				elseif($settings['display_which_images'] == 2)
				$show_what = 'views';
				elseif($settings['display_which_images'] == 3)
				$show_what = 'commenttotal';
					else
				$show_what = 'ID_PICTURE';
				
		if(!empty($settings['image_maxheight']) && is_numeric($settings['image_maxheight']))
		 $maxheight = $settings['image_maxheight'];
		 else
		 $maxheight = 75;
		if(!empty($settings['image_maxwidth']) && is_numeric($settings['image_maxwidth']))
		 $maxwidth = $settings['image_maxwidth'];
		 else
		 $maxwidth = 70;		
			//Check what type it is
			$query = ' ';
			
					$query = "SELECT p.ID_PICTURE, p.commenttotal, p.totalratings, p.rating, p.filesize, p.views, p.thumbfilename, p.title, p.ID_MEMBER, m.memberName, m.realName, p.date, p.description FROM {$db_prefix}gallery_pic as p, {$db_prefix}members AS m WHERE  p.ID_MEMBER = m.ID_MEMBER AND p.approved = 1 ORDER BY p.{$show_what} DESC LIMIT {$shows}";
				
			//Execute the SQL query
			$dbresult = db_query($query, __FILE__, __LINE__);
			
		while($row = mysql_fetch_assoc($dbresult))
		{
		

			echo '<td align="center" class="windowbg" ><a href="' . $scripturl . '?action=gallery;sa=view;id=' . $row['ID_PICTURE'] . '" ><img src="' . $modSettings['gallery_url'] . $row['thumbfilename']  . '" border="0px" style="max-width: '.$maxwidth.'px; max-height: '.$maxheight.'px;" alt="" /></a></td>';
			
		  }
			
	//Free the Mysql Resoruces
	mysql_free_result($dbresult);

}
function smfstoreBlocks($title,$type = 'recent')
{
	global  $db_prefix, $scripturl, $txt, $modSettings, $boardurl, $context, $settings, $options;


	if(empty($modSettings['store_url']))
	{
		$modSettings['store_url'] = $boardurl . '/store/';
	}
	$g_manage = allowedTo('smfstore_manage');
	
	$limitstoshow = $settings['number_items_to_show'];
	
			// Check what type it is
			$query = ' ';
			switch($type)
			{
				case 'recent':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0 ORDER BY i.ID_ITEM DESC LIMIT {$limitstoshow}";
				break;

				case 'viewed':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0  ORDER BY  i.views DESC LIMIT {$limitstoshow}";
				break;

				case 'mostcomments':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0  ORDER BY i.commenttotal DESC LIMIT {$limitstoshow}";
				break;

				case 'toprated':
					$query = "SELECT i.ID_ITEM, i.commenttotal, i.totalratings, i.rating, 
					i.primaryID_PICTURE, i.productname, p.thumbfilename, i.price,i.currency,
					i.qtyinstock, i.needsstock, i.date, i.views
					FROM {$db_prefix}store_item as i LEFT JOIN {$db_prefix}store_item_pic as p ON (i.primaryID_PICTURE = p.ID_PICTURE)
					 WHERE  i.hideproduct = 0  ORDER BY i.rating DESC LIMIT {$limitstoshow}";
				break;
				
				case 'mostpurchased':
					
				break;
				
				
			}
			// Execute the SQL query
			$dbresult = db_query($query, __FILE__, __LINE__);
			
		while($row = mysql_fetch_assoc($dbresult))
		{
			echo '<td align="center" class="windowbg"><span class="smalltext">';
				if (!empty($row['primaryID_PICTURE']))
				echo '<a href="', $scripturl, '?action=store;sa=view;id=', $row['ID_ITEM'], '"><img src="', $modSettings['store_url'], $row['thumbfilename'], '" /></a><br />';
				
			echo '<a class="nav" href="', $scripturl, '?action=store;sa=view;id=', $row['ID_ITEM'], '">', $row['productname'], '</a><br />';
			
			
			
			
			
		
				
			if (!empty($modSettings['store_set_t_price']))
			{
	
				
							
				echo  formatprice2($row['price'],$row['currency']) . '<br />';
			
			}
		
			echo '</span></td>';


			
	  }
	
	// Free the Mysql Resoruces
	mysql_free_result($dbresult);

}
function formatprice2($price,$currency)
{
		if ($currency == 'USD')
			return  '$' .  number_format($price, 2, '.', '');
		else 
			return $price . ' ' . $currency;
}
?>